libgimpprint API Reference: color

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# color

The color data type is responsible for providing colour conversion features. More...

## Data Structures
struct | stp_colorfuncs_t
struct | stp_color
## Typedefs
typedef stp_color | stp_color_t
## Functions
int | stp_color_init (stp_vars_t *v, stp_image_t *image, size_t steps)
int | stp_color_get_row (stp_vars_t *v, stp_image_t *image, int row, unsigned *zero_mask)
stp_parameter_list_t | stp_color_list_parameters (const stp_vars_t *v)
void | stp_color_describe_parameter (const stp_vars_t *v, const char *name, stp_parameter_t *description)
int | stp_color_register (const stp_color_t *color)
int | stp_color_unregister (const stp_color_t *color)
int | stp_color_count (void)
| Get the number of available color modules.
const stp_color_t * | stp_get_color_by_name (const char *name)
| Get a color module by its name.
const stp_color_t * | stp_get_color_by_index (int idx)
| Get a color module by its index number.
const stp_color_t * | stp_get_color_by_colorfuncs (stp_colorfuncs_t *colorfuncs)
const char * | stp_color_get_name (const stp_color_t *c)
| Get the short (untranslated) name of a color module.
const char * | stp_color_get_long_name (const stp_color_t *c)
| Get the long (translated) name of a color module.

## Detailed Description

The color data type is responsible for providing colour conversion features.

Color modules provide the actual functionality, so different colour management modules may provide the application with different services (for example, colour profiles).

## Typedef Documentation

typedef struct stp_color stp_color_t

| Referenced by check_color(), stp_color_get_long_name(), stp_color_get_name(), stp_color_register(), stp_color_unregister(), stp_get_color_by_colorfuncs(), stp_get_color_by_index(), stp_get_color_by_name(), stpi_color_long_namefunc(), stpi_color_namefunc(), and stpi_get_colorfuncs().

## Function Documentation

int stp_color_count | ( | void |  | ) |

| Get the number of available color modules. Returns: the number of color modules. Definition at line 71 of file color.c. References color_list, stp_erprintf(), stp_list_get_length(), and stpi_init_color_list().

void stp_color_describe_parameter | ( | const stp_vars_t * | v,
|  | const char * | name,
|  | stp_parameter_t * | description
| ) |

| Definition at line 215 of file color.c. References stp_colorfuncs_t::describe_parameter, stp_get_color_by_name(), stp_get_color_conversion(), stp_vars_t, and stpi_get_colorfuncs(). Referenced by stp_describe_parameter().

const char* stp_color_get_long_name | ( | const stp_color_t * | c | ) |

  | Get the long (translated) name of a color module. Parameters:
  c | the color module to use.
Returns: the long name. Definition at line 135 of file color.c. References check_color(), gettext, stp_color::long_name, and stp_color_t.

const char* stp_color_get_name | ( | const stp_color_t * | c | ) |

  | Get the short (untranslated) name of a color module. Parameters:
  c | the color module to use.
Returns: the short name. Definition at line 127 of file color.c. References check_color(), stp_color::short_name, and stp_color_t.

int stp_color_get_row | ( | stp_vars_t * | v,
|  | stp_image_t * | image,
|  | int | row,
|  | unsigned * | zero_mask
| ) |

| Definition at line 196 of file color.c. References stp_colorfuncs_t::get_row, stp_get_color_by_name(), stp_get_color_conversion(), stp_image_t, stp_vars_t, and stpi_get_colorfuncs(). Referenced by escp2_print_data(), olympus_do_print(), olympus_get_cached_output(), ps_print_internal(), and raw_print().

int stp_color_init | ( | stp_vars_t * | v,
|  | stp_image_t * | image,
|  | size_t | steps
| ) |

| Definition at line 186 of file color.c. References stp_colorfuncs_t::init, stp_get_color_by_name(), stp_get_color_conversion(), stp_image_t, stp_vars_t, and stpi_get_colorfuncs(). Referenced by escp2_print_page(), olympus_do_print(), ps_print_internal(), and raw_print().

stp_parameter_list_t stp_color_list_parameters | ( | const stp_vars_t * | v | ) |

| Definition at line 207 of file color.c. References stp_colorfuncs_t::list_parameters, stp_get_color_by_name(), stp_get_color_conversion(), stp_vars_t, and stpi_get_colorfuncs(). Referenced by stp_get_parameter_list().

int stp_color_register | ( | const stp_color_t * | color | ) |

| Definition at line 225 of file color.c. References check_color(), color_list, stp_color::short_name, stp_color_t, STP_DBG_COLORFUNC, stp_deprintf(), stp_get_color_by_name(), stp_list_item_create(), and stpi_init_color_list(). Referenced by color_traditional_module_init().

int stp_color_unregister | ( | const stp_color_t * | color | ) |

| Definition at line 253 of file color.c. References check_color(), color_list, stp_color::short_name, stp_color_t, STP_DBG_COLORFUNC, stp_deprintf(), stp_list_get_start(), stp_list_item_destroy(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, and stpi_init_color_list(). Referenced by color_traditional_module_exit().

const stp_color_t* stp_get_color_by_colorfuncs | ( | stp_colorfuncs_t * | colorfuncs | ) |

| Definition at line 166 of file color.c. References check_list(), color_list, stp_color::colorfuncs, stp_color_t, stp_list_get_start(), stp_list_item_get_data(), stp_list_item_next(), and stp_list_item_t.

const stp_color_t* stp_get_color_by_index | ( | int | idx | ) |

  | Get a color module by its index number. Parameters:
  idx | the index number. This must not be greater than (total number of papers - 1).
Returns: a pointer to the color module, or NULL on failure. Definition at line 95 of file color.c. References check_list(), color_list, stp_color_t, stp_list_get_item_by_index(), stp_list_item_get_data(), and stp_list_item_t.

const stp_color_t* stp_get_color_by_name | ( | const char * | name | ) |

  | Get a color module by its name. Parameters:
  name | the short unique name. number of papers - 1).
Returns: a pointer to the color module, or NULL on failure. Definition at line 153 of file color.c. References check_list(), color_list, stp_color_t, stp_list_get_item_by_name(), stp_list_item_get_data(), and stp_list_item_t. Referenced by stp_color_describe_parameter(), stp_color_get_row(), stp_color_init(), stp_color_list_parameters(), and stp_color_register().